package com.steerinfo.ems.trmenergy.mapper;

import com.steerinfo.ems.trmenergy.model.TRmEnergy;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TRmEnergyMapper extends IBaseMapper<TRmEnergy, String> {

    List<TRmEnergy> getParent();
    /**
     * 查询name and id
     * @return tRmEnergy
     */
    List<TRmEnergy> selectNameAndId(Map<String, Object> parameters);

    String getMaxId(TRmEnergy model);

    Short getMaxSeqno();
}